Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590043 - Texlive fmt files missing
Summary: Texlive fmt files missing
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-07 15:23 UTC by Fabien Archambault
Modified: 2013-07-02 23:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-10 13:49:29 UTC


Attachments (Terms of Use)

Description Fabien Archambault 2010-05-07 15:23:06 UTC
Description of problem: No compilation possible as fmt files are missing


Version-Release number of selected component (if applicable): texlive-2010-5.20100430.fc13.x86_64


How reproducible: always


Steps to Reproduce:
1. Install latest texlive
  
Actual results:
I can't find the format file `pdflatex.fmt'!
I can't find the format file `latex.fmt'!

Expected results:
Compilation

Additional info:
I tried to compile this file :

$ cat test.tex 
\documentclass[10pt,a4paper]{article}
%\usepackage{multirow}

\begin{document}
{\fontfamily{rsfs}\selectfont AZERTYUIOP}
\end{document}

Gives :

$ latex test.tex 
This is pdfTeX, Version 3.1415926-1.40.11-beta (Web2C 2010/dev)

kpathsea: Running mktexfmt latex.fmt
I can't find the format file `latex.fmt'!

$ pdflatex test.tex 
This is pdfTeX, Version 3.1415926-1.40.11-beta (Web2C 2010/dev)

kpathsea: Running mktexfmt pdflatex.fmt
I can't find the format file `pdflatex.fmt'!
[MarbolanGos@fedoraport test]$ pdflatex test.tex 
This is pdfTeX, Version 3.1415926-1.40.11-beta (Web2C 2010/dev)

kpathsea: Running mktexfmt pdflatex.fmt
I can't find the format file `pdflatex.fmt'!

I tried to find those files with yum :
# yum provides \*/latex.fmt
No Matches found
# yum provides \*/pdflatex.fmt
No Matches found

Comment 1 Jindrich Novy 2010-05-10 13:41:15 UTC
Could you try to run fmtutil-sys --all ? This should regenerate missing fmt files.

The fmt files are actually not shipped in TeX Live packages but generated in %post scriptlets so it is perfectly fine that you don't see them in packages themselves.

Comment 2 Fabien Archambault 2010-05-10 13:49:29 UTC
Hello,
sorry I solved this issue by removing all latex packages this morning and reinstalling everything.

Thanks for the explanation.

Comment 3 Horst H. von Brand 2010-12-17 20:44:57 UTC
(In reply to comment #1)
> Could you try to run fmtutil-sys --all ? This should regenerate missing fmt
> files.

It doesn't (texlive-2010 as of today). Never has, AFAIR.

> The fmt files are actually not shipped in TeX Live packages but generated in
> %post scriptlets so it is perfectly fine that you don't see them in packages
> themselves.


Note You need to log in before you can comment on or make changes to this bug.